Skip to main content
PUT
Update fields on an existing support ticket.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

ticketId
string
required

Body

application/json

Fields to update

Request body for updating a support ticket (only include fields to change)

attachments
string[]

Replacement list of attachments

description
string

Detailed description of the issue or request

response
string

Support response text (support/admin only)

severity
string

Severity (one of: low, medium, high, critical)

status
string

Status (one of: open, in_progress, resolved, closed). Updating status may require support privileges.

subject
string

Short summary of the issue or request

ticketType
string

Ticket type (one of: bug, feature_request, question, other)

Response

The updated support ticket

Support ticket object

attachments
string[]

Attachment objects with type info

companyId
string

Associated company ID (may be null for general tickets)

createdAt
string

ISO timestamp when the ticket was created

description
string

Ticket description

id
string

Ticket ID

resolvedAt
string

ISO timestamp when the ticket was resolved

resolvedBy
string

User ID of the resolver

response
string

Final support response when resolved

severity
string

Severity (low, medium, high, critical)

status
string

Status (open, in_progress, resolved, closed)

subject
string

Ticket subject

ticketType
string

Ticket type (bug, feature_request, question, other)

updatedAt
string

ISO timestamp when the ticket was last updated

userId
string

User ID of the ticket creator

whitelabelId
string

Whitelabel instance ID if submitted from a whitelabel domain